<?php
namespace Modules\Relatorio\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Modules\Relatorio\Services\Sup00900MixDeFornecedorService;

class Sup00900MixDeFornecedorController {

    protected $entityManager;
    protected $environment;
    protected $connection;

    public function __construct(Sup00900MixDeFornecedorService $service, $entityManager, $environment, $connection) {
        $this->service       = $service;
        $this->entityManager = $entityManager;
        $this->environment   = $environment;
        $this->connection    = $connection;
    }
    
    public function getIdSisDos(DTO\Request\Row $request, DTO\Response $response){
        
        $idSisDos = $this->service->getIdSisDos();
        
        $response->addDataSet(new DataSet('dados', $idSisDos)); 
    }
}